import java.util.*;

class Adherent {

  private String prenom;
  private String nom;
  private int numero;
  private ArrayList listeLivre;
  
  public Adherent () {
     prenom = "";
     nom    = "";
     numero = 0;
     listeLivre = new ArrayList();
  }
  
  public Adherent ( String nomP, String prenomP) {
     prenom = prenomP;
     nom    = nomP;
     numero =0;
  }
  
  public Adherent ( String nomP, String prenomP, int numP) {
     prenom = prenomP;
     nom    = nomP;
     numero =numP;
  }
  
  /**
    Precondition : le livre ne doit pas deja etre emprunt
  */
  public void emprunter (Livre l ) {
     listeLivre.add (listeLivre.size(), l);
     l.setEmprunt(true);    //Le livre est maintenant emprunte
  }
  
  public void rendre ( Livre l ) {
    listeLivre.remove (listeLivre.indexOf (l) );
    l.setEmprunt (false);  //Le livre est maintenant disponible
  }
  
  public String toString () {
     return "NOM="+nom+" PRENOM="+prenom;
  }
  
  
}
