import java.util.*;
/**
   Permet de grer une bibliotheque municipale
   @author David MONTET
*/

class Bibliotheque 
{
  private ArrayList listeDocs; 
  private ArrayList listeAdherent; 
  
  public Bibliotheque () {
    listeDocs     = new ArrayList ( );
    listeAdherent = new ArrayList ( );
  }
  
  public void ajouterAdherent (Adherent ad ) {
     listeAdherent.add ( listeAdherent.size(), ad);
  }  

  public void ajouterDocument ( Document doc) {
     listeDocs.add (listeDocs.size(), doc);
  }
  
  /**
      Retourne tous les documents dont le titre contient la chaine titre, pass en
    parametre
  */
  public Document [] chercherDocument ( String titre ) {
   Document [] ld = new Document[listeDocs.size()];
   int j = 0;
   int rang ;
   Document d;
  
   rang = listeDocs.indexOf( titre) ;
   if  ( rang != -1 )   {
     
       for ( int i=rang; i<listeDocs.size(); i++) {
        d = (Document) listeDocs.get(i);
        if ( d.getTitre().indexOf(titre)!=-1  ) {
	    ld[j] = (Document)listeDocs.get(i) ;
	    j++;
         }
       }
       
   }
   Document [] ld2 = new Document[j];
   ld2 = ld;
   return ld2;   
  
  }
  
}
