/**
   Classe qui implemente la classe Livre
   @version 1.0
   @author David MONTET
*/

class Livre extends Volume {
  
  protected boolean emprunt;
  
  public Livre (String titreP, String auteurP) {
    titre = titreP;
    auteur = auteurP;
    emprunt = false;
  }
  
  /**
     On ne peut emprunter que des livres et tous les livres sont empruntables
  */
  public boolean empruntable () {
     return true;
  }
  
  public void setEmprunt ( boolean empruntez) {
      emprunt = empruntez;   
  }
  
  public boolean getEmprunt () {
     return emprunt;
  }
  
  public String toString () {  
    return "(LIVRE)  titre="+titre+" AUTEUR="+auteur;
  }
}